Package org.apache.sling.testing.mock.osgi.config.annotations

# Annotation Type SetConfigs

@Retention(RUNTIME) public @interface SetConfigs
`Repeatable` container annotation for `SetConfig`. This annotation is used either implicitly or explicitly to specify multiple `SetConfig` annotations on a single `AnnotatedElement`.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`SetConfig[]`
`value`
Return an array of nested `SetConfig` annotations.

## Element Details

### value

SetConfig[] value
Return an array of nested `SetConfig` annotations.

Returns:
  the array of config updates

Default:
  `{}`